Setting up the BST helpdesk - Feature #33

Adding time tracking to the tickets
04/17/2018 04:45 PM - Jon Ambler

Status: Resolved Start date: 04/17/2018
Priority: Normal Due date:

Assignee: Jon Ambler % Done: 100%
Category: helpdesk Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

In order to be able to repost the time we responding on different tasks, we need to be able to log time spent on tickets.

This must be done in a way that allows reports to be created automatically, and interface with the time tacking in Redmine.

History

#1 - 04/17/2018 04:51 PM - Jon Ambler

- Status changed from New to In Progress

A potential option is to have a keyword in the ticket comment that can be picked up and parsed by a function. This means that we do not need to edit
the database in any way, and the information on time is retrieved from the ticket at the time the "create_report" function is called. This means that
edits to times in tickets will be reflected in the latest report.

We will test using the format:

Time: h min

Where the numbers of hours and minutes are the numbers before the "h" and the "min" (Allowing for H or hr etc to be used). | will test this out on a
local instance and see if it works.

#2 - 04/19/2018 12:34 PM - Jon Ambler

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

- Estimated time set to 3.00 h

Time tracking has now been added.

To log time, just add the time in the comment in the format:

Time: h m

There needs to be a space between the number and the time symbol. Various symbols are accepter like hr, min, hours, and case does not matter.
To receive a JSON summary of the time, go to the following URL:

http://bst.cbio.uct.ac.za/helpdesk/projects/timereport/

This way, the model did not need any changes, and any edits to the times in tickets changes what is returned in the JSON file.

#3 - 04/19/2018 12:42 PM - Jon Ambler
- Estimated time deleted (3.00 h)

04/26/2025 1/1



http://bst.cbio.uct.ac.za/helpdesk/projects/timereport/
http://www.tcpdf.org

